/* Copyright 2015-2017 MultiMC Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "BaseEntity.h"

#include "Json.h"
#include "Util.h"

namespace Meta
{
BaseEntity::~BaseEntity()
{
}

void BaseEntity::store() const
{
	Json::write(serialized(), Meta::localDir().absoluteFilePath(localFilename()));
}

void BaseEntity::notifyLocalLoadComplete()
{
	m_localLoaded = true;
	store();
}
void BaseEntity::notifyRemoteLoadComplete()
{
	m_remoteLoaded = true;
	store();
}
}
